<!--
Contains the form fields for user creation.

For now it depends on a form object with the user field. It also does not create the form itself and neither
submission buttons.
-->

<div class="card" id="user-card" th:fragment="formFields (isCreate)" th:object="${form}">

    <input name="${_csrf.parameterName}" type="hidden" value="${_csrf.token}"/>

    <th:block th:unless="${isCreate}">
        <input th:field="*{user.id}" type="hidden">
    </th:block>

    <div class="card-header">
        <div class="row form-group">
            <div class="col-md-12">
                <span class="card-title" th:text="#{user.form.title}">Dados de usuário</span>
                <div class="float-right" th:unless="${isCreate}">
                    <a class="btn btn-secondary" th:href="@{/user/change-password}"
                       th:text="#{user.form.changePassword}"
                       id="change-password-button"></a>
                    <a class="btn btn-danger" th:href="@{/user/toggle}" th:text="#{user.form.deactivateProfile}"
                       data-toggle="modal" data-target="#deactivate-profile-modal" th:unless="${isAdmin}"
                       id="deactivate-user-button"></a>
                </div>
            </div>
        </div>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label for="name" th:text="#{user.form.label.name}">Nome*</label>
                    <input class="form-control" id="name" placeholder="John Doe" required
                           th:classappend="${#fields.hasErrors('user.name')} ? is-invalid"
                           th:field="*{user.name}"
                           type="text">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors('user.name')">
                    </th:block>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label for="username" th:text="#{user.form.label.username}">Nome de usuário*</label>
                    <input class="form-control" id="username" placeholder="john.doe"
                           required th:classappend="${#fields.hasErrors('user.username')} ? is-invalid"
                           th:field="*{user.username}"
                           type="text">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors(fieldName='user.username')">
                    </th:block>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label for="email" th:text="#{user.form.label.email}">Email*</label>
                    <input class="form-control" id="email" placeholder="john.doe@gmail.com" required
                           th:classappend="${#fields.hasErrors('user.email')} ? is-invalid" th:field="*{user.email}"
                           type="text">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors(fieldName='user.email')">
                    </th:block>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label for="date-of-birth-label" th:text="#{user.form.label.dateOfBirth}">Data de Nascimento*</label>
                    <input class="form-control" id="date-of-birth-label" required
                           th:classappend="${#fields.hasErrors('user.dateOfBirth')} ? is-invalid"
                           type="text">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors(fieldName='user.dateOfBirth')">
                    </th:block>

                    <input id="date-of-birth-real" th:field="*{user.dateOfBirth}" type="hidden">
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label for="cpf" th:text="#{user.form.label.cpf}">CPF*</label>
                    <input class="form-control" id="cpf" required
                           th:classappend="${#fields.hasErrors('user.cpf')} ? is-invalid"
                           th:field="*{user.cpf}"
                           type="text">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors(fieldName='user.cpf')">
                    </th:block>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label for="search-radius" th:text="#{user.form.label.searchRadius}">Raio de Busca de
                        Ocorrências(KM)*</label>
                    <select class="select2" id="search-radius" required
                            th:classappend="${#fields.hasErrors('user.searchRadius')} ? is-invalid"
                            th:field="*{user.searchRadius}">
                        <th:block th:each="value: ${#numbers.sequence(1, 10)}">
                            <option value="1" th:value="${value}" th:text="${value}">1</option>
                        </th:block>
                    </select>
                    <th:block th:insert="layout/fragments/form-field-errors :: errors(fieldName='user.searchRadius')">
                    </th:block>
                </div>
            </div>
        </div>

        <div class="row" th:if="${isCreate}">
            <div class="col-md-6">
                <div class="form-group">
                    <label for="password" th:text="#{user.form.label.password}">Senha*</label>
                    <input class="form-control" id="password" required
                           th:classappend="${#fields.hasErrors('user.password')} ? is-invalid"
                           th:field="*{user.password}"
                           type="password">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors(fieldName='user.password')">
                    </th:block>
                </div>
            </div>

            <div class="col-md-6">
                <div class="form-group">
                    <label for="password-confirm" th:text="#{user.form.label.passwordConfirm}">Confirmar Senha*</label>
                    <input class="form-control" id="password-confirm" required
                           th:classappend="${#fields.hasErrors('passwordConfirmMatch')} ? is-invalid"
                           th:field="*{passwordConfirm}"
                           type="password">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors(fieldName='passwordConfirmMatch')"
                              th:object="${form}">
                    </th:block>
                </div>
            </div>
        </div>

    </div>
</div>